﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="CS.aspx.cs" Inherits="CS" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
    body { font-family: Arial; font-size: 10pt; }
    table { border: 1px solid #ccc; border-collapse: collapse; }
    table th { background-color: #F7F7F7; color: #333; font-weight: bold; }
    table th, table td { padding: 5px; border: 1px solid #ccc; }
</style>
</head>
<body>
    <form id="form1" runat="server">
    <asp:DropDownList ID="ddlCountries" runat="server">
        <asp:ListItem Text="Please select"></asp:ListItem>
        <asp:ListItem Text="France"></asp:ListItem>
        <asp:ListItem Text="Germany"></asp:ListItem>
        <asp:ListItem Text="Canada"></asp:ListItem>
    </asp:DropDownList>
    <hr />
    <asp:ListBox ID="lstCustomers" runat="server"></asp:ListBox>
    <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
    <script type="text/javascript">
        $('#ddlCountries').change(function () {
            $.ajax({
                type: "POST",
                url: "Default.aspx/GetCustomers",
                data: '{country:"' + $(this).val() + '"}',
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (r) {
                    var lstCustomers = $("[id*=lstCustomers]");
                    lstCustomers.empty();
                    $.each(r.d, function () {
                        lstCustomers.append($("<option></option>").val(this['Value']).html(this['Text']));
                    });
                }
            });
        });
    </script>
    </form>
</body>
</html>
